<?php declare(strict_types=1);

namespace App\ServiceResults;

use Illuminate\Database\Eloquent\Model;

final class StoreUpdateResult extends ServiceResult
{
    public function __construct(
        private readonly Model $model,
        private readonly string $message
    ) { }

    public function getModel(): Model
    {
        return $this->model;
    }

    public function getMessage(): string
    {
        return $this->message;
    }
}
